Describe Event Monitoring Using REST

Use the sObject Describe resource to retrieve all metadata for an object, including information about fields, URLs, and child relationships.

Example

You can use REST API to describe event log files. Use a GET request like this:

1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/EventLogFile/describe -H "Authorization: Bearer token"

Example raw response

1{ 
2   "actionOverrides" : [ ],
3   "activateable" : false,
4   "childRelationships" : [ ],
5   "compactLayoutable" : false,
6   "createable" : false,
7   "custom" : false,
8   "customSetting" : false,
9   "deletable" : false,
10   "deprecatedAndHidden" : false,
11   "feedEnabled" : false,
12   "fields" : [ {
13     "autoNumber" : false,
14     "byteLength" : 18,
15     "calculated" : false,
16     "calculatedFormula" : null,
17     "cascadeDelete" : false,
18     "caseSensitive" : false,
19     "controllerName" : null,
20     "createable" : false,
21     ...
22}